Subject: bug#76317: Emacs 31.0.50 4b28c41c4f2b on feature/igc branch; :window-sides-vertical doesn't take effect

From: Eval Exec <[email-masked]>
Date: Sun, 16 Feb 2025 10:38:41 +0800

Hello,

```
(defun show-side-window ()
  (display-buffer-in-side-window
    (get-buffer "~/.emacs.d/init.el")
    '((side . left)
       (slot . 0)))
  (display-buffer-in-side-window
    (get-buffer "~/.emacs.d/init.el")
    '((side . bottom)
       (slot . 0))))

(progn
  (setq window-sides-vertical nil)
  (show-side-window)) ;;; eval this first,  I expect left side window
occupy full height, and yes.

(progn
  (setq window-sides-vertical t)
  (show-side-window)) ;; then eval this, I expect bottom window occupy
full width, but not???
```

I expect window-sides-vertical can control bottom side window occupy
full frame width, but not. I think this is a bug.